
Synnefo - Feature # 1003
Author: Vangelis Koukis Category: Volumes

Created: 08/04/2011 Assignee: Constantinos Venetsanopoulos

Updated: 01/16/2012 Due date: 11/11/2011

Subject: Explore Ganeti's shared block storage support

Description

Explore Ganeti's shared block storage support.

Investigate ways of provisioning disks dynamically, then passing them to Ganeti on instance creation for OS provisioning.

Related issues:

related to Synnefo - Feature # 1512: RBD disk template for Ganeti Closed 10/18/2011 11/11/2011

History

#1 - 10/14/2011 07:24 pm - Vangelis Koukis

- Target version changed from v0.7 to v0.8.0

Moving to v0.8, pending documentation of findings. Work on block storage continues into the v0.8 cycle.

#2 - 10/18/2011 05:45 pm - Vangelis Koukis

- Due date set to 11/11/2011

#3 - 11/15/2011 04:05 pm - Constantinos Venetsanopoulos

- Status changed from Assigned to Resolved

Done. Thoroughly studied [apollon]'s Shared Storage patchset for Ganeti.

Disks will not be provisioned outside Ganeti and then passed to it (many syncronization and race condition problems occur, since there is not yet a clear

interface implementation as proposed by apollon in his design doc). We will extend Ganeti to handle rbd devices as another EXT_MIRROR disk type.

Implementation of a clear interface (such as the ganeti-os-interface) should be considered on upcoming releases.

Created a new "rbd" disk template, that enables Ganeti to create/remove/failover/migrate instances whose disks reside inside a RADOS cluster. Tested

and works. For more (including corner case known defects) see #1512.

#4 - 01/16/2012 06:30 pm - Vangelis Koukis

- Status changed from Resolved to Closed

'rbd' disk template pushed for inclusion to Ganeti master, closing.
